org.eclipse.cdt.core.model

## Class Flags

- java.lang.Object
- - org.eclipse.cdt.core.model.Flags

    public final class Flags
    extends java.lang.Object

Utility class for decoding modifier flags in C elements.

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isAbstract(int flags)` Returns whether the given integer includes the `abstract` modifier.
`static boolean` `isExplicit(int flags)` Returns whether the given integer includes the `explicit` modifier.
`static boolean` `isExport(int flags)` Return whether the give integer include the keyword `export` modifier.
`static boolean` `isExtern(int flags)` Returns whether the given integer includes the `extern` modifier.
`static boolean` `isInline(int flags)` Returns whether the given integer includes the `inline` modifier.
`static boolean` `isMutable(int flags)` Returns whether the given integer includes the `mutable` modifier.
`static boolean` `isPrivate(int flags)` Returns whether the given integer includes the `private` modifier.
`static boolean` `isProtected(int flags)` Returns whether the given integer includes the `protected` modifier.
`static boolean` `isPublic(int flags)` Returns whether the given integer includes the `public` modifier.
`static boolean` `isRegister(int flags)` Returns whether the given integer includes the indication that the element is a register storage specifier.
`static boolean` `isStatic(int flags)` Returns whether the given integer includes the `static` modifier.
`static boolean` `isVirtual(int flags)` Returns whether the given integer includes the `virtual` modifier.
`static boolean` `isVolatile(int flags)` Returns whether the given integer includes the `volatile` modifier.
`static java.lang.String` `toString(int flags)` Returns a standard string describing the given modifier flags.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isAbstract

    public static boolean isAbstract(int flags)

Returns whether the given integer includes the `abstract` modifier.

Parameters:
  `flags` - the flags
Returns:
  `true` if the `abstract` modifier is included

#### isExport

    public static boolean isExport(int flags)

Return whether the give integer include the keyword `export` modifier.

Parameters:
  `flags` - the flags
Returns:
  `true` if the element is `export`

#### isInline

    public static boolean isInline(int flags)

Returns whether the given integer includes the `inline` modifier.

Parameters:
  `flags` - the flags
Returns:
  `true` if the `inline` modifier is included

#### isExplicit

    public static boolean isExplicit(int flags)

Returns whether the given integer includes the `explicit` modifier.

Parameters:
  `flags` - the flags
Returns:
  `true` if `explicit` modifier is included

#### isPrivate

    public static boolean isPrivate(int flags)

Returns whether the given integer includes the `private` modifier.

Parameters:
  `flags` - the flags
Returns:
  `true` if the `private` modifier is included

#### isProtected

    public static boolean isProtected(int flags)

Returns whether the given integer includes the `protected` modifier.

Parameters:
  `flags` - the flags
Returns:
  `true` if the `protected` modifier is included

#### isPublic

    public static boolean isPublic(int flags)

Returns whether the given integer includes the `public` modifier.

Parameters:
  `flags` - the flags
Returns:
  `true` if the `public` modifier is included

#### isStatic

    public static boolean isStatic(int flags)

Returns whether the given integer includes the `static` modifier.

Parameters:
  `flags` - the flags
Returns:
  `true` if the `static` modifier is included

#### isExtern

    public static boolean isExtern(int flags)

Returns whether the given integer includes the `extern` modifier.

Parameters:
  `flags` - the flags
Returns:
  `true` if the `extern` modifier is included

#### isMutable

    public static boolean isMutable(int flags)

Returns whether the given integer includes the `mutable` modifier.

Parameters:
  `flags` - the flags
Returns:
  `true` if the `mutable` modifier is included

#### isRegister

    public static boolean isRegister(int flags)

Returns whether the given integer includes the indication that the element is a register storage specifier.

Parameters:
  `flags` - the flags
Returns:
  `true` if the element is marked register storage specifier

#### isVirtual

    public static boolean isVirtual(int flags)

Returns whether the given integer includes the `virtual` modifier.

Parameters:
  `flags` - the flags
Returns:
  `true` if the `virtual` modifier is included

#### isVolatile

    public static boolean isVolatile(int flags)

Returns whether the given integer includes the `volatile` modifier.

Parameters:
  `flags` - the flags
Returns:
  `true` if the `volatile` modifier is included

#### toString

    public static java.lang.String toString(int flags)

Returns a standard string describing the given modifier flags. Only modifier flags are included in the output; the deprecated and synthetic flags are ignored if set.

Examples results:

              "public static"
              "private"

Parameters:
  `flags` - the flags
Returns:
  the standard string representation of the given flags